package com.yihu.hos.system.model;

import java.util.Date;
import java.util.List;

/**
 *  系统管理-服务流程
 * @author HZY
 * @vsrsion 1.0
 * Created at 2016/8/19.
 */
public class SystemServiceFlow implements java.io.Serializable {
    private Integer id;
    private String code;
    private String name;
    private String path;//流程路径
    private String chart;//流程图路径
    private String description;
    private Integer valid;
    private Date createDate;
    private String fileType;

    private String flowClassList;
    private List<SystemServiceFlowClass> flowClassArray;
    private List<SystemServiceFlowTemp> flowTempArray;

    public List<SystemServiceFlowTemp> getFlowTempArray() {
        return flowTempArray;
    }

    public void setFlowTempArray(List<SystemServiceFlowTemp> flowTempArray) {
        this.flowTempArray = flowTempArray;
    }

    public String getFileType() {
        return fileType;
    }

    public void setFileType(String fileType) {
        this.fileType = fileType;
    }

    public String getFlowClassList() {
        return flowClassList;
    }

    public void setFlowClassList(String flowClassList) {
        this.flowClassList = flowClassList;
    }

    public List<SystemServiceFlowClass> getFlowClassArray() {
        return flowClassArray;
    }

    public void setFlowClassArray(List<SystemServiceFlowClass> flowClassArray) {
        this.flowClassArray = flowClassArray;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getPath() {
        return path;
    }

    public void setPath(String path) {
        this.path = path;
    }

    public String getChart() {
        return chart;
    }

    public void setChart(String chart) {
        this.chart = chart;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public Integer getValid() {
        return valid;
    }

    public void setValid(Integer valid) {
        this.valid = valid;
    }

    public Date getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }
}
